* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  border: 0;
}


:root {
  --color-fondo-pantalla: #ffffff;     
  --color-encabezado-footer: #1a1a1a;   
  --color-blanco-info: #fefefe;         
  --color-verde-lima: #c4ff4b;          
  --color-verde-borde: #73a007;        
  --color-titulos: #1a1a1a;
  --color-texto-principal: #1a1a1a;     
  --color-subtitulos: #4d4d4d;
  --color-subtitulos2: #73a007;
  --color-subtitulos3: #c4ff4b;
  --color-parrafos: #1a1a1a;
}


body {
  background-color: var(--color-fondo-pantalla);
  font-family: 'Montserrat', sans-serif;
  color: var(--color-texto-principal);
}

header {
  background-color: var(--color-encabezado-footer);
  padding: 2rem 0;
  box-shadow: 0 1px 15px #73a007;
  border-bottom-left-radius: 40px;
  border-bottom-right-radius: 40px;
  text-align: center;
}

main {
  background-color: var(--color-blanco-info); 
  padding: 3rem 2rem;
  max-width: 1050px;
  margin-inline: auto;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

footer {
  padding: 2rem;
  background-color: var(--color-encabezado-footer);
  color: var(--color-blanco-info);
  font-size: 12px;
  text-align: left;
  margin-top: 4rem;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
}

h1 {
  color: var(--color-titulos);
  font-size: 2.5rem;
  margin-bottom: 1rem;
  text-align: center;
}

h2 {
  color: var(--color-subtitulos);
  margin-bottom: 1.5rem;
  margin-top: 2.5rem;
  text-align: center;
}

h3 {
  color: var(--color-subtitulos2);
  margin-bottom: 1.5rem;
  margin-top: 1rem;
  text-align: center;
}

h4 {
  color: var(--color-subtitulos3);
  margin-top: 1.5rem;
  margin-bottom: 0.5rem;
  text-align: center;
}

p {
  color: var(--color-parrafos);
  line-height: 1.8; 
  font-size: 1.1rem;
  max-width: 1000px; 
  margin-inline: auto;
  text-align: center; 
  margin-bottom: 2rem;
}

ul {
  margin-bottom: 2rem;
  padding-left: 1.5rem;
  text-align: center;
}

li {
  margin-bottom: 1rem;
  text-align: center;
}


#logo {
  margin-bottom: 1.5rem;
  padding-bottom: 1.5rem;
  border-bottom: 1px solid var(--color-fondo-pantalla); 
  width: 50%;
  margin-inline: auto;
}

.boton_menu {
  display: inline-block;
  margin: 0 0.5rem;
}

.boton_menu a {
  background-color: var(--color-verde-lima);
  color: var(--color-encabezado-footer);
  text-decoration: none;
  padding: 0.6rem 1.6rem;
  border-radius: 50px;
  font-family: 'Montserrat', sans-serif;
  font-size: 18px;
  font-weight: 500;
  display: inline-block;
  transition: all 0.2s ease;
}

.foto-perfil {
  display: block;
  margin-inline: auto; 
  border-radius: 20px; 
  object-fit: cover; 
  margin-bottom: 1.5rem; 
  margin-top: 0.5rem;
  border: 5px solid var(--color-verde-lima); 
  outline-offset: 6px; 
  outline: 2px solid var(--color-verde-borde);
}

.grilla-materias {
  display: grid;
  grid-template-columns: repeat(4, 1fr); 
  gap: 1.5rem; 
}

.tarjeta-anio {
  background-color: var(--color-verde-lima); 
  border-radius: 20px; 
  padding: 0.8rem 1rem 1.5rem 1rem; 
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.05); 
  border: 2px solid var(--color-verde-borde); 
}

.tarjeta-anio h3 {
  text-align: center;
  color: var(--color-verde-borde); 
  font-size: 1.2rem;
  margin-top: 0;
  margin-bottom: 1.5rem;
}

.tarjeta-anio ul {
  padding: 0;
  margin: 0;
}

.tarjeta-anio li {
  list-style: none; 
  color: var(--color-texto-principal);
  font-size: 0.85rem;
  padding: 0.8rem 0; 
  border-bottom: 1px solid #eaeaea; 
  margin: 0;
  text-align: center; 
}

.boton_menu a:hover {
  background-color: var(--color-verde-borde);
  box-shadow: 0 6px 15px var(--color-verde-borde); 
}